Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.interaction.forms
Enum Field.FlagsEnum

    java.lang.Object
      java.lang.Enum<Field.FlagsEnum>
          org.pdfclown.documents.interaction.forms.Field.FlagsEnum

All Implemented Interfaces:
  Serializable, Comparable<Field.FlagsEnum>

Enclosing class:
  Field

    public static enum Field.FlagsEnum

extends Enum<Field.FlagsEnum>

Field flags [PDF:1.6:8.6.2].

Enum Constant Summary
`Comb` (Text fields only) The field is automatically divided into as many equally spaced positions, or combs, as the value of MaxLen, and the text is laid out into those combs.
`Combo` (Choice fields only) The field is a combo box (otherwise, a list box).
`CommitOnSelChange` (Choice fields only) The new value is committed as soon as a selection is made with the pointing device.
`DoNotScroll` (Text fields only) The field does not scroll to accommodate more text than fits within its annotation rectangle.
`DoNotSpellCheck` (Choice and text fields only) Text entered in the field is not spell-checked.
`Edit` (Choice fields only) The combo box includes an editable text box as well as a dropdown list (otherwise, it includes only a drop-down list).
`FileSelect` (Text fields only) Text entered in the field represents the pathname of a file whose contents are to be submitted as the value of the field.
`Multiline` (Text fields only) The field can contain multiple lines of text.
`MultiSelect` (Choice fields only) More than one of the field's option items may be selected simultaneously.
`NoExport` The field must not be exported by a submit-form action.
`NoToggleToOff` (Radio buttons only) Exactly one radio button must be selected at all times.
`Password` (Text fields only) The field is intended for entering a secure password that should not be echoed visibly to the screen.
`Pushbutton` (Button fields only) The field is a pushbutton that does not retain a permanent value.
`Radio` (Button fields only) The field is a set of radio buttons (otherwise, a check box).
`RadiosInUnison` (Button fields only) A group of radio buttons within a radio button field that use the same value for the on state will turn on and off in unison (otherwise, the buttons are mutually exclusive).
`ReadOnly` The user may not change the value of the field.
`Required` The field must have a value at the time it is exported by a submit-form action.
`RichText` (Text fields only) The value of the field should be represented as a rich text string.
`Sort` (Choice fields only) The field's option items should be sorted alphabetically.

Method Summary
`int` | `getCode()`
`static EnumSet<Field.FlagsEnum>` | `toEnumSet(int flagsMask)` Converts a bit mask into its corresponding enumeration representation.
`static int` | `toInt(EnumSet<Field.FlagsEnum> flags)` Converts an enumeration set into its corresponding bit mask representation.
`static Field.FlagsEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Field.FlagsEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ReadOnly

    public static final Field.FlagsEnum ReadOnly

  The user may not change the value of the field.

### Required

    public static final Field.FlagsEnum Required

  The field must have a value at the time it is exported by a submit-form action.

### NoExport

    public static final Field.FlagsEnum NoExport

  The field must not be exported by a submit-form action.

### Multiline

    public static final Field.FlagsEnum Multiline

  (Text fields only) The field can contain multiple lines of text.

### Password

    public static final Field.FlagsEnum Password

  (Text fields only) The field is intended for entering a secure password that should not be echoed visibly to the screen.

### NoToggleToOff

    public static final Field.FlagsEnum NoToggleToOff

  (Radio buttons only) Exactly one radio button must be selected at all times.

### Radio

    public static final Field.FlagsEnum Radio

  (Button fields only) The field is a set of radio buttons (otherwise, a check box). This flag is meaningful only if the Pushbutton flag isn't selected.

### Pushbutton

    public static final Field.FlagsEnum Pushbutton

  (Button fields only) The field is a pushbutton that does not retain a permanent value.

### Combo

    public static final Field.FlagsEnum Combo

  (Choice fields only) The field is a combo box (otherwise, a list box).

### Edit

    public static final Field.FlagsEnum Edit

  (Choice fields only) The combo box includes an editable text box as well as a dropdown list (otherwise, it includes only a drop-down list).

### Sort

    public static final Field.FlagsEnum Sort

  (Choice fields only) The field's option items should be sorted alphabetically.

### FileSelect

    public static final Field.FlagsEnum FileSelect

  (Text fields only) Text entered in the field represents the pathname of a file whose contents are to be submitted as the value of the field.

### MultiSelect

    public static final Field.FlagsEnum MultiSelect

  (Choice fields only) More than one of the field's option items may be selected simultaneously.

### DoNotSpellCheck

    public static final Field.FlagsEnum DoNotSpellCheck

  (Choice and text fields only) Text entered in the field is not spell-checked.

### DoNotScroll

    public static final Field.FlagsEnum DoNotScroll

  (Text fields only) The field does not scroll to accommodate more text than fits within its annotation rectangle. Once the field is full, no further text is accepted.

### Comb

    public static final Field.FlagsEnum Comb

  (Text fields only) The field is automatically divided into as many equally spaced positions, or combs, as the value of MaxLen, and the text is laid out into those combs.

### RichText

    public static final Field.FlagsEnum RichText

  (Text fields only) The value of the field should be represented as a rich text string.

### RadiosInUnison

    public static final Field.FlagsEnum RadiosInUnison

  (Button fields only) A group of radio buttons within a radio button field that use the same value for the on state will turn on and off in unison (otherwise, the buttons are mutually exclusive).

### CommitOnSelChange

    public static final Field.FlagsEnum CommitOnSelChange

  (Choice fields only) The new value is committed as soon as a selection is made with the pointing device.

Method Detail

### values

    public static Field.FlagsEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Field.FlagsEnum c : Field.FlagsEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Field.FlagsEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toInt

    public static int toInt(EnumSet<Field.FlagsEnum> flags)

  Converts an enumeration set into its corresponding bit mask representation.

### toEnumSet

    public static EnumSet<Field.FlagsEnum> toEnumSet(int flagsMask)

  Converts a bit mask into its corresponding enumeration representation.

### getCode

    public int getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.